(let [{: space-is-neighbor?} (require :lib.space-is-neighbor)
      {: neighbors} (require :lib.constants)
      {: describe :end test-end} (require :lib.test)
      with-neighbors (partial space-is-neighbor? neighbors)
      ]

  (describe "space-is-neighbor()" (fn [t]
    (t {:given "space of 3"
        :should "know 2 is a neighbor"
        :expected true
        :actual  (with-neighbors 3 2)})
    (t {:given "space of 3"
        :should "know 15 is a neighbor"
        :expected true
        :actual  (with-neighbors 3 15)})
    (t {:given "space of 3"
        :should "know 1 is not a neighbor"
        :expected false
        :actual  (with-neighbors 3 1)})

    (test-end))))

