;; thanks:
;; https://gist.github.com/sapphyrus/fd9aeb871e3ce966cc4b0b969f62f539
;; and antifennel
(fn deep-equals [o1 o2 ignore-mt]
  (when (= o1 o2) (lua "return true"))
  (local o1-type (type o1))
  (local o2-type (type o2))
  (when (not= o1-type o2-type) (lua "return false"))
  (when (not= o1-type :table) (lua "return false"))
  (when (not ignore-mt)
    (local mt1 (getmetatable o1))
    (when (and mt1 mt1.__eq)
      (let [___antifnl_rtn_1___ (= o1 o2)] (lua "return ___antifnl_rtn_1___"))))
  (each [key1 value1 (pairs o1)]
    (local value2 (. o2 key1))
    (when (or (= value2 nil) (= (deep-equals value1 value2 ignore-mt) false))
      (lua "return false")))
  (each [key2 _ (pairs o2)]
    (when (= (. o1 key2) nil) (lua "return false")))
  true)	

{:equal deep-equals}
